// Prog3
//
// Programadores:
//	Juan L¢pez Fern ndez
//	Mois‚s Virumbrales Cuenca
//	DAI 1§A
//
// Pedir n£meros hasta que se introduzca un cero, y de todos los valores
// introducidos, calcular la media de los m£ltiplos de 5 menores que 500,
// sumar los impares comprendidos entre -10 y 10, contar los m£ltiplos de
// 13 y calcular la media de todos los n£meros introducidos.

#include <stdio.h>
#include <conio.h>

int con,sum,con5,sum5,sumimpar,con13,num;
char pausa;

void main()
{
  clrscr();
  gotoxy (20,13);
  printf (" (Introduzca 0 para finalizar)");
  gotoxy (20,12);
  printf (" Introduce un n£mero: ");
  fflush(stdin);
  scanf ("%d",&num);
  while (num!=0)
  {
    if (num %5==0 && num <500)
    {
      con5++;
      sum5=sum5+num;
    }

    if (num>-10 && num<10 && num %2!=0)
    {
      sumimpar=sumimpar+num;
    }

    if (num %13==0)
    {
      con13++;
    }

    con++;
    sum=sum +num;
    clrscr();
    gotoxy (20,13);
    printf (" (Introduzca 0 para finalizar)");
    gotoxy (20,12);
    printf (" Introduce un n£mero: ");
    fflush(stdin);
    scanf ("%d",&num);
  }
  clrscr();

  if (con==0)
  {
    gotoxy (20,12);
    printf (" No se ha introducido ning£n n£mero.");
  }
  else
  {
    if (con5==0)
    {
      gotoxy (13,10);
      printf (" No hay m£ltiplos de 5.");
    }
    else
    {
      gotoxy (13,10);
      printf (" La media de los m£ltiplos de 5 menores que 500 es: ");
      printf ("%d.",sum5/con5);
    }

    if (sumimpar==0)
    {
      gotoxy (13,11);
      printf (" No hay impares comprendidos entre -10 y 10.");
    }
    else
    {
      gotoxy (13,11);
      printf (" La suma de los impares entre -10 y 10 es: %d.",sumimpar);
    }

    if (con13==0)
    {
      gotoxy (13,12);
      printf (" No hay m£ltiplos de 13.");
    }
    else
    {
      gotoxy (13,12);
      printf (" Hay %d m£ltiplo(s) de 13.",con13);
    }

    gotoxy (13,13);
    printf (" La media de todos los n£meros introducidos es: %d.",sum/con);
  }

  fflush (stdin);
  scanf ("%c",&pausa);
}